Package com.smartgwt.client.types

# Enum DragMaskType

java.lang.Object
java.lang.Enum<DragMaskType>
com.smartgwt.client.types.DragMaskType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DragMaskType>`, `Constable`

public enum DragMaskType extends Enum<DragMaskType> implements ValueEnum
What kind of mask to use for masking dragged element.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIV`
  creates an element with ordinary HTML content that will block events
  `HIDE`
  hides the contents of this widget temporarily
  `IFRAME`
  creates an iframe with empty content
  `NONE`
  no mask

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DragMaskType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DragMaskType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DIV

    public static final DragMaskType DIV
    creates an element with ordinary HTML content that will block events

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "div".

  - ### IFRAME

    public static final DragMaskType IFRAME
    creates an iframe with empty content

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iframe".

  - ### HIDE

    public static final DragMaskType HIDE
    hides the contents of this widget temporarily

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hide".

  - ### NONE

    public static final DragMaskType NONE
    no mask

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static DragMaskType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DragMaskType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`